<html>
    <head>
        <meta http-equiv="Content-type" content="text/html; charset=UTF-8">
        <title>ショッピングデモサイト - 商品を検索する（モジュール作成用）</title>
        <link rel="stylesheet" type="text/css" href="../css/prototype.css"/>
    </head>
    <body>
        <h1><a href="./ItemSearchFormModulePage.php">ショッピングデモサイト - 商品を検索する（モジュール作成用）</a></h1>
<?php
/** @mainpage
 *  商品検索フォームモジュールを表示
 */

/**
 * @file
 * @brief 商品検索フォームモジュールを表示
 *
 * ItemSearchFormModule.phpを利用して、
 * 商品検索フォームモジュールを表示し、
 * フォームから入力された値を条件に、
 * 検索APIを利用して、検索した結果を表示します。
 * また、検索結果に対して、カテゴリーによる絞り込みと、並び順の変更ができます。
 * phpのページに、数行のphpコードを書くことでブログパーツのように
 * 商品検索フォームを表示させることができます。
 */
   
//ItemSearchFormModule.phpを読み込み
include_once("./ItemSearchFormModule.php");

/**
 * ItemSearchFormModule呼び出し
 *
 * 設定例
 * $obj = new ItemSearchFormModule(array(
 *     "appid"         => アプリケーションID //必須,
 *     "query"         => 検索キーワード     //必須,
 *     "category_id"   => カテゴリIDによる商品の絞り込み検索, //任意
 *     "affiliate_type"=>"アフィリエイトタイプ yid or vc",
 *     "affiliate_id"  =>"アリフィリエイトIDを指定します",
 *     "sort"          => "ソート順を指定します"
 * ));
 * 
 * 指定できるパラメータの一覧は
 * http://developer.yahoo.co.jp/webapi/shopping/shopping/v1/itemsearch.html
 * を参照してください。
 *
 * パラメータを追加する場合は
 * "リクエストパラメータ名" => "値"
 * としてください。
 *
 * Yahoo! JAPANアフィリエイトサンプル
 * new ItemSearchFormModule(array(
 *                    "appid"         => "<あなたのアプリケーションID>",
 *                    "query"         => "スニーカー",
 *                    "affiliate_type"=>"yid",
 *                    "affiliate_id"  =>"EOipIudsX6dXJlfi8JXmsCA-",
 *                    "hits"          => 3
 * ));
 * バリューコマースアフィリエイトサンプル
 * new ItemSearchFormModule(array(
 *                    "appid"         => "<あなたのアプリケーションID>",
 *                    "query"         => "スニーカー",
 *                    "affiliate_type"=>"vc",
 *                    "affiliate_id"  =>"http://ck.jp.ap.valuecommerce.com/servlet/referral?sid=2219441&pid=874350257&vc_url=",
 *                    "hits"          => 3
 * ));
 */
new ItemSearchFormModule(array(
                     "appid" => "<あなたのアプリケーションID>",
                     "hits" => 5
                 ));
?>
    </body>
<!-- Begin Yahoo! JAPAN Web Services Attribution Snippet -->
<a href="http://developer.yahoo.co.jp/about">
<img src="http://i.yimg.jp/images/yjdn/yjdn_attbtn2_105_17.gif" width="105" height="17" title="Webサービス by Yahoo! JAPAN" alt="Webサービス by Yahoo! JAPAN" border="0" style="margin:15px 15px 15px 15px"></a>
<!-- End Yahoo! JAPAN Web Services Attribution Snippet -->

</html>

